!> \file module_choix-ant16.f90
!! Ce module permet de choisir quels package on veut utiliser
!! 
!<

!> \namespace MODULE_CHOIX
!! Ce module permet de choisir quels package on veut utiliser
!! \author C. Dumas
!! \date ...
!! @note Used modules
!! @note   - use lect_topo_anteis    
!! @note   - use lect_clim_act_anteis
!! @note   - use climat_perturb_mod
!! @note   - use no_rsl
!! @note   - use isostasie_mod  
!! @note   - use deformation_mod_2lois  
!! @note   - use  prop_thermiques_ice
!! @note   - use eau_basale
!! @note   - use sliding_Bindschadler
!! @note   - use dragging_hwat_contmaj
!! @note   - use eq_ellip_sgbsv_mod 
!! @note   - use calving_frange
!! @note   - use equat_adv_diff_2D_vect     
!! @note   - use bmelt_ant_regions 
!! @note   - use fake_ant
!! @note   - use out_profile  
!! @note   - use out_cptr     
!! @note   - use out_hz     
!! @note   - use output_antarcti_mod
!! @note   - use printtable
!<

MODULE MODULE_CHOIX

!--------------Lecture topo ------------------------
! use lect_topo_heino      ! pour Heino
use lect_topo_anteis    ! pour l'antarctique 40 km
!use lect_topo_nord40    ! pour l'hemisphere nord 40 km
!use lect_topo_eurasie   ! pour l'eurasie  (toute resolutions)


!--------------Lecture climat forcage---------------
!use climat_forcage_mois_mod ! forcage mensuel GCM 1 Snapshot Fev 2015
!use climat_perturb_mod   ! climat perturbe a reverifier Dec 2015
use climat_Grice2sea_years_mod  ! climat force par fichier SMB directement (grice2sea)
!use climat_Grice2sea_years_perturb_mod ! climat force par fichier SMB directement (grice2sea) + index temperature carotte de glace
!use climat_InitMIP_years_perturb_mod ! climat pour experiences initMIP

!use climat_forcage_mod
!use climat_synthes_mod
!use climat_profil_mod
!use climat_regions_delta

!use ablation_mod ! calcul de l'ablation (PDD ou autre methode)
use no_ablation  ! pas de calcul de l'ablation => lecture fichier SMB (necessaire avec climat_Grice2sea_years_mod)

! pas de differences locales de niveau marin
use no_rsl

! suivi des traceurs ou pas ?
!use tracer_mod  ! probablement pas compatible avec Hemin-40 actuellement
use notracer_mod

!--------------Choix isostasie----------------------
! use isostasie_mod  ! module permettant de calculer la deflexion isostasique
use noisostasie_mod ! module pour ne pas avoir d'isostasie


!--------------Module Physique---------------------
!use deformation_mod  ! module concernant les lois de deformation
use deformation_mod_2lois   ! module concernant les lois de deformation

! eau basale
use eau_basale

! sliding- dragging
! use module sliding_vitbal
! use sliding_Bindschadler
use no_sliding
! use sliding_dragging_heino    ! loi de glissement heino : mis dans diffusiv : 


!use dragging_vitbil
!use dragging_hwatstream
!use dragging_hwat_cont

!use dragging_hwat_contmaj ! frottement basal catherine grisliv8 ice stream peu actifs
!use dragging_neff_slope ! dragging Aurelien et Christophe
! use dragging_hwat_sedim version sediment HN
!use dragging_beta_iter_vitbil_mod ! dragging pour inversion beta
use dragging_prescr_beta ! utilisation d'une carte de beta (issue de l'inversion)

!------------ spinup -----------------------------------
use no_spinup           ! spinup=0
!use spinup_vitbil         ! plusieurs variantes de spinup : inclue le dragging
                          ! enlever le use dragging dans ce cas l

use furst_schoof_mod  ! module pour calcul flux gr line

! use eq_elliptique_mod ! ancienne version (remplimat-5)
use eq_ellip_sgbsv_mod ! nouvelle version juillet 2008

! calving
use calving_frange
!use calving_frange_abuk ! pour les experience abuk ABUMIP

! choix resolution de la conservation de la masse
!-----------------------------------------------
!use equat_adv_diff_2D          ! conservation masse avec advection-diffusion
use equat_adv_diff_2D_vect      ! le vecteur est maintenant dans l'appel

!--------------Fusion basale------------------------
use bmelt_ant_regions_larmip ! pour experience fusion basale LARMIP
!use bmelt_ant_regions_initmip  ! pour initmip abumip melt et ctrl
!use bmelt_seuil_prof  ! fusion basale 2 valeurs : abysses et talus et inversion du bmelt
!use bmelt_ant_regions ! pour l'Antarctique avec rgions
!use bmelt_ant_regions_oce ! pour Ant region et temp ocean
!use bmelt_nor_regions ! pour le nord avec rgions
!use bmelt_nor_depth   ! pour le nord avec profondeur d'eau


! fake -------fausses routines pour compatibilits
! use fake_heino
use fake_ant

! use fake_nord
!-------------- Outputs-----------------------------
!
use out_profile  !profils

!-----Suivi temporel
! use output_heminord_mod
use output_antarcti_mod
! use output_heino
!-----debugage...
use printtable


end module MODULE_CHOIX
