!> \file lect-clim-act-anteis_mod.f90
!!Module pour la lecture du climat
!<

!> \namespace lect_clim_act_anteis
!! Module pour la lecture du climat
!! \author ...
!! \date ...
!! @note Used module
!! @note   - use module3D_phy
!! @note   - use ablation_ann
!<
module lect_clim_act_anteis

  use module3D_phy
  use ablation_ann          ! le module pdd base sur Tann et Tjuly
  
 character(len=80) :: filin

contains
 
subroutine input_climat_ref()

!     accumulation de Philippe
      filin='accumHUY40km.dat'
      call lect_eis(nx,ny,precip,filin,DIRNAMEINP)
!====================================== La reponse est 42 ===========
      write(num_rep_42,*) 'fichier accum : ', filin 

!     cas particulier de Vostok
      ivo=101
      jvo=62
      do j=jvo-1,jvo+1
        do i=ivo-1,ivo+1
            precip(i,j)=0.02         ! valeur plus faible a Vostok.
        end do
      end do
      acc(:,:)=precip(:,:)


!    temperature en surface :
!    parametrisation de Fortuin pour la temperature annuelle.
      do j=1,ny
        do i=1,nx

            if (s0(i,j).le.200.) then   ! shelfs
               tann(i,j)=49.642-0.943*abs(ylat(i,j))
            else if ((s0(i,j).gt.200.).and.(s0(i,j).lt.1500.)) then ! pente
               tann(i,j)=36.689-0.005102*s0(i,j)-0.725*abs(ylat(i,j))
            else if (s0(i,j).ge.1500.) then        ! plateau
               tann(i,j)=7.405-0.014285*s0(i,j)-0.180*abs(ylat(i,j))
            endif

            ta0(i,j)=tann(i,j)
!           pour la temperature d'ete, idem parametrisation huybrechts
            tjuly(i,j)=tann(i,j)-17.65+0.00222*s0(i,j)&
                         +0.40802*abs(ylat(i,j))
        end do
      end do

!====================================== La reponse est 42 ===========
      write(num_rep_42,*) '! temperatures annuelles : parametrisation Fortuin'
      write(num_rep_42,*) '! temperature ete : idem parametrisation Huybrechts :'
      write(num_rep_42,*) '! TJULY(I,J)=TANN(I,J)-17.65+0.00222*S(I,J)+0.40802*abs(YLAT(I,J))'
      write(num_rep_42,*)


end subroutine input_climat_ref

end module  lect_clim_act_anteis
