!> \file detect-assym.f90
!! Detection de detection de symetrie par rapport a un axe donnee
!<

!> SUBROUTINE: detect_assym 
!! \author ...
!! \date ...
!! @note  Routine pour la detection de symetrie
!! @param n1
!! @param n2
!! @param iaxe
!! @param jaxe
!! @param isens
!! @param istag
!! @param jsens
!! @param jstag
!! @param Tabsym
!! @param itestsym
!<


subroutine detect_assym(n1,n2,iaxe,jaxe,isens,istag,jsens,jstag,Tabsym,itestsym)

! si symetrie par rapport a axe j=jaxe
!---------------------------------------
! pour variables type S,H,B,ddx  (nx,ny,iaxe,jaxe,1,0,1,0  ...)
! pour variables type sdx, ux (nx,ny,iaxe,jaxe,1,0,1,0 ...)
! pour variables type sdy,uy (nx,ny,iaxe,jaxe,1,0,-1,1...)
! pour variables type ddy  (nx,ny,iaxe,jaxe,1,0,1,1...)

implicit none
integer :: iaxe 
integer :: jaxe
integer :: jsym
integer :: isym
integer :: n1
integer :: n2
integer :: itestsym
integer :: i,j
integer :: isens   ! -1 negatif quand la variable change de direction +1 sinon
integer :: istag   ! 0 quand noeud majeur, 1 quand noeuds mineurs
integer :: jsens
integer :: jstag

real,dimension(n1,n2) :: Tabsym
real :: testsym
real :: maxsym

itestsym=0

maxsym=maxval(abs(Tabsym))
if (maxsym.ne.0.) then
!symetrique par rapport  jaxe la rfrence est le bas. Pour l'instant seulement lui
jsym=0
itestsym=0
do j=jaxe+1,n2
   jsym=jsym+1

   do i=1,n1
      testsym=abs(tabsym(i,j)-jsens*tabsym(i,jaxe-jsym+jstag))
      testsym=testsym/maxsym
      if (testsym.gt.1.e-8) then
         write(6,333),i,j,jaxe-jsym+jstag,testsym,tabsym(i,j)-jsens*tabsym(i,jaxe-jsym+jstag),tabsym(i,j),tabsym(i,jaxe-jsym+jstag)
         itestsym=itestsym+1
      end if
      
   end do
end do
end if
333 format("asymetrie i,j",3(i4),4(es16.8,1x))
end subroutine detect_assym

! exemples d'utilisation  noeud majeur
!-----------------------------------------------------------------------
!!$call detect_assym(nx,ny,0,41,1,0,1,0,H,itest_step)
!!$
!!$if (itest_step.gt.0) then
!!$   write(6,*) 'apres flottab asymetrie sur H  pour time=',time
!!$   stop
!!$else
!!$   write(6,*) 'apres flottab pas d asymetrie sur H  pour time=',time
!!$
!!$end if
!-----------------------------------------------------------------------

