!> \file ts-output-0.2.f
!! Sortie temporelle pour eismint
!<

!> SUBROUTINE: ts_out()
!! \author ...
!! \date ...
!! @note Sortie temporelle pour eismint
!! @note Used modules:
!! @note    - use module3D_phy
!! @note    - use param_phy_mod
!<
      subroutine ts_out()

c     sortie temporelle pour eismint 

       USE module3D_phy
       USE param_phy_mod
      implicit none

      real VOLG,VOLF,SURFG,SURFBMELT,MEANTB,MEANACC,MEANABL
      INTEGER NPOINT,NBMELT

      INTEGER ISITE(5),JSITE(5),iunit
  
      CALL write_trace('ts_out')

c     ecriture des sites de "forages"
         if (geoplace.eq.'anteis1') then
      

       ! VOSTOK 
         isite(1)=101
         jsite(1)=62

       ! Byrd Station
         isite(2)=48
         jsite(2)=58

       ! Dronning Maud Land
         isite(3)=71
         jsite(3)=112

       ! Dome Concordia
         isite(4)=105
         jsite(4)=49

       ! Dome Fuji
         isite(5)=93
         jsite(5)=98
         
      else if (geoplace.eq.'ant20km') then
       ! VOSTOK 
         isite(1)=201
         jsite(1)=124

       ! Byrd Station
         isite(2)=96
         jsite(2)=116

       ! Dronning Maud Land
         isite(3)=141
         jsite(3)=223

       ! Dome Concordia
         isite(4)=209
         jsite(4)=98

       ! Ddome Fuji
         isite(5)=93
         jsite(5)=98

      endif
  

211   format(1x,f8.0,5(1x,f10.3))   ! format sites        
111   format(1x,f8.0,4(1x,e14.6),1x,f8.4,2(1x,f7.4))
      VOLG=0. 
      VOLF=0.
      SURFG=0.
      SURFBMELT=0.
      MEANTB=0.
      MEANACC=0
      MEANABL=0.
      NPOINT=0
      NBMELT=0
c      write(6,*) 'time=',time
      do I=1,NX 
      do J=1,NY
        if (.not.flot(i,j)) then 
          NPOINT=NPOINT+1
          VOLG=VOLG+H(I,J) 
          
c        calcul de la hauteur au dessus de la flottaison
         if (SEALEVEL-B(I,J).le.0.) then
               VOLF=VOLF+H(I,J)
         else
            VOLF=VOLF+H(I,J)-ROW/RO*(SEALEVEL-B(I,J))
         endif

          MEANACC=MEANACC+ACC(I,J)
          MEANABL=MEANABL+bm(i,j)-acc(i,j)
          MEANTB=MEANTB+(T(I,J,NZ)-TPMP(I,J,NZ))
c  if ((ibase(i,j).eq.2).or.(ibase(i,j).eq.3)) nbmelt=nbmelt+1

        if(T(I,J,NZ).ge.TPMP(I,J,NZ)-0.001) then 
          NBMELT=NBMELT+1
c          if ((ibase(i,j).eq.1).or.(ibase(i,j).eq.4)) then 
c             write(6,*) i,j,ibase(i,j),t(i,j,nz),tpmp(i,j,nz)
c          endif
        endif

        endif
       end do
       end do

        VOLG=VOLG*DX*DY 
        VOLF=VOLF*DX*DY
        SURFG=NPOINT*DX*DY
        SURFBMELT=NBMELT*DX*DY
        MEANACC=MEANACC/NPOINT
        MEANABL=MEANABL/NPOINT
        MEANTB=MEANTB/NPOINT
c        write(6,*)'nbmelt=',nbmelt
c        write(6,*)

        write(num_ts_ritz,111)time,surfg,volg,volf,surfbmelt,meantb,
     &   meanacc,meanabl


      i=isite(1)
      j=jsite(1) 
      write(num_ic_vo,211) time,S(i,j),H(i,j),BM(i,j),T(i,j,1),
     &      T(i,j,nz)-TPMP(i,j,nz)
!
      i=isite(2)
      j=jsite(2) 
      write(num_ic_by,211) time,S(i,j),H(i,j),BM(i,j),T(i,j,1),
     &      T(i,j,nz)-TPMP(i,j,nz)
!
      i=isite(3)
      j=jsite(3) 
      write(num_ic_dm,211) time,S(i,j),H(i,j),BM(i,j),T(i,j,1),
     &      T(i,j,nz)-TPMP(i,j,nz)
!
      i=isite(4)
      j=jsite(4) 
      write(num_ic_dc,211) time,S(i,j),H(i,j),BM(i,j),T(i,j,1),
     &      T(i,j,nz)-TPMP(i,j,nz)
!
      i=isite(5)
      j=jsite(5) 
      write(num_ic_df,211) time,S(i,j),H(i,j),BM(i,j),T(i,j,1),
     &      T(i,j,nz)-TPMP(i,j,nz)

      end
