!> \file lineartemp-0.2.F
!!  Linear temperature in ice
!<

!> SUBROUTINE: LINEARTEMP
!! Calculate the linear temperature in ice
!! \author  ...
!! \date ...
!! @note Used modules:
!! @note    - use module3D_phy
!! @note    - use icetemp_declar
!<

subroutine LINEARTEMP

  !     *********************************************************
  !     (********** LINEAR TEMPERATURE IN ICE *******************)
  !     *********************************************************

  USE module3D_phy
  USE icetemp_declar
  implicit none

  !     character(len=80) :: filin

  !     char SccsId[] = "@(#)lineartemp.f	1.3   date delta= 01/06/95    heure delta= 14:56:20    date lecture= 01/09/95"


  !     filin='templin.res'


  !     open(num_templin,file=filin)
  !     write(num_templin,*) 'temperature initiale lineaire'


  do I=1,NX
     do J=1,NY 
        H1(I,J)=H(I,J) 
        B1(I,J)=B(I,J) 
        TG(I,J)=0.
        BMELT(I,J)=0.
        T(I,J,1)=min(0.,TS(I,J))
        !     TPMP(I,J,1)=0.
        !     TPMP(I,J,NZ)=-0.00087*H(I,J)
        !     T(I,J,NZ)=TPMP(I,J,NZ)
        !     pour partir d'une tempature plus froide
        !     T(I,J,NZ)=TPMP(I,J,NZ)-10.

        if (H(i,j).gt.0.)  T(I,J,NZ)=TPMP(I,J,NZ)-20.



        do K=2,NZ-1
           !     TPMP(I,J,K)=-0.00087*(K-1)/(NZ-1)*H(I,J)
           !     T(I,J,K)=T(I,J,1)-(T(I,J,1)-TPMP(I,J,NZ))*(K-1)/(NZ-1)
           T(I,J,K)=T(I,J,1)-(T(I,J,1)-T(I,J,NZ))*(K-1)/(NZ-1)
           !     write(num_templin,*) T(I,J,K)
        end do
        do K=NZ+1,NZ+NZM
           T(I,J,K)=(T(I,J,K-1)-GHF(i,j)*DZM/cm)
        end do
     end do
  end do
  close(num_templin) 


end subroutine LINEARTEMP
